## eole-nextcloud 25.0.9+5-12

=== debian/changelog ===
eole-nextcloud (25.0.9+5-12) envole-8-unstable; urgency=low

  [ afornerot ]
  * [f025875] DNMA
  * [9a77e6f] Merge branch 'e8/master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [5025826] afornerot: Update package since “debian/envole/25.0.9+5-11”

 -- afornerot <afornerot@cadoles.com>  Thu, 25 Sep 2025 12:04:58 +0200

eole-nextcloud (25.0.9+5-11) envole-8-unstable; urgency=low

  [ lseys ]
  * [c741b7a] désactivation des mises-a-jours par l'interface
  * [b772e5d] Merge branch 'e8/master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [8833c29] lseys: Update package since “debian/envole/25.0.9+5-10”

 -- lseys <lseys@cadoles.com>  Thu, 31 Jul 2025 11:31:00 +0200

eole-nextcloud (25.0.9+5-10) envole-8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [4592e35] Dépendance sur jq pour le nouveau script
  * [98f6480] Sortir la suppression des partages superflus du reconfigure.
  * [519d17d] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [1ff6a8e] Benjamin Bohard: Update package since “debian/envole/25.0.9+5-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 05 Dec 2024 14:52:42 +0100

eole-nextcloud (25.0.9+5-9) envole-8-unstable; urgency=low

  [ afornerot ]
  * [e4a9a01] suppression du filescan
  * [2aea340] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [5c1963a] afornerot: Update package since “debian/envole/25.0.9+5-8”

 -- afornerot <afornerot@cadoles.com>  Thu, 14 Dec 2023 11:13:31 +0100

eole-nextcloud (25.0.9+5-8) envole-8-unstable; urgency=low

  [ afornerot ]
  * [4cf24cd] replacer jasig/phpcas de la version 1.5
  * [3fa7807] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [861a0b0] afornerot: Update package since “debian/envole/25.0.9+5-7”

 -- afornerot <afornerot@cadoles.com>  Wed, 15 Nov 2023 16:39:26 +0100

eole-nextcloud (25.0.9+5-7) envole-8-unstable; urgency=low

  [ afornerot ]
  * [1298bbe] résolution pb CAS sur nextcloud 25
  * [b53a76b] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [869a369] afornerot: Update package since “debian/envole/25.0.9+5-6”

 -- afornerot <afornerot@cadoles.com>  Wed, 08 Nov 2023 14:37:22 +0100

eole-nextcloud (25.0.9+5-6) envole-8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [9e7c67c] L’emplacement du partage est lié à la variable container_ip_partage.
  * [9b46423] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [856e0f7] Benjamin Bohard: Update package since “debian/envole/25.0.9+5-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 02 Oct 2023 09:02:11 +0200

eole-nextcloud (25.0.9+5-5) envole-8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [ef4812f] occ upgrade est nécessaire à chaque reconfigure.
  * [b98609e] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [25c77fe] : Update package since “debian/envole/25.0.9+5-4”

 -- EOLE Build Daemon <buildd@pollux.eole.lan>  Thu, 24 Aug 2023 15:48:55 +0200

eole-nextcloud (25.0.9+5-4) envole-8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [c074446] Mise a jour des commandes occ et protection du mot de passe.
  * [e47f99d] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [845e303] : Update package since “debian/envole/25.0.9+5-3”

 -- EOLE Build Daemon <buildd@pollux.eole.lan>  Thu, 24 Aug 2023 14:35:08 +0200

eole-nextcloud (25.0.9+5-3) envole-8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [1b304a5] Désarchiver la version cible en cas de première installation.
  * [f6e5aa4] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [60e5a82] : Update package since “debian/envole/25.0.9+5-2”

 -- EOLE Build Daemon <buildd@pollux.eole.lan>  Thu, 24 Aug 2023 11:25:19 +0200

eole-nextcloud (25.0.9+5-2) envole-8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [c578169] Ne rien faire si les sources sont déjà à jour.
  * [8cf2003] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [585d53e] : Update package since “debian/envole/25.0.9+5-1”

 -- EOLE Build Daemon <buildd@pollux.eole.lan>  Thu, 24 Aug 2023 10:39:04 +0200

eole-nextcloud (25.0.9+5-1) envole-8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [50bab2a] Dépendance sur l’utilitaire de patch binaire.
  * [849fa14] Montée de version en 25
  * [e401fb9] Compacter les sources dans le paquet et adapter la procédure de mise à jour
  * [796d86d] Modifier la version compatible de l’app user_cas.
  * [defdbea] Merge branch 'master' into dist/envole/8/master
  * [a3553c4] Utilitaire pour compresser et décompresser les sources.
  * [77b68e9] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [72f0902] : Update package since “debian/envole/24.0.1+5-6”

 -- EOLE Build Daemon <buildd@pollux.eole.lan>  Wed, 23 Aug 2023 12:27:45 +0200

eole-nextcloud (24.0.1+5-6) envole-8-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [80757ea] templetiser le displayname de user_ldap
  * [de20fac] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [ed39546] Arnaud Fornerot: Update package since “debian/envole/24.0.1+5-5”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 07 Jul 2022 10:38:06 +0200

eole-nextcloud (24.0.1+5-5) envole-8-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [6986aaf] prise en compte amonecole sur montage des partages (ref #34357)
  * [e3b367a] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [30ddee4] Arnaud Fornerot: Update package since “debian/envole/24.0.1+5-4”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 28 Jun 2022 16:26:19 +0200

eole-nextcloud (24.0.1+5-4) envole-8-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [235c04a] postservice sans warning
  * [6a73a93] Merge branch 'master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [84fea4d] Arnaud Fornerot: Update package since “debian/envole/24.0.1+5-3”



## eole-nextcloud 25.0.9+5-14

=== Makefile ===
################################
# Makefile pour NEXTCLOUD
################################

SOURCE=nextcloud
VERSION=14.0.3
EOLE_VERSION=2.8
EOLE_RELEASE=2.8.0
PKGAPPS=oui

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-nextcloud (25.0.9+5-14) envole-8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [0c5f9b3] Typo
  * [c6f2e16] Merge branch 'e8/master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [665f7d0] Benjamin Bohard: Update package since “debian/envole/25.0.9+5-13”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 21 Oct 2025 15:21:10 +0200

eole-nextcloud (25.0.9+5-13) envole-8-unstable; urgency=low

  [ lseys ]
  * [933b0c9] Ajout de la gestion de rétention des fichier dans trashbin et version de nextcloud
  * [407fc41] Merge branch 'e8/master' into dist/envole/8/master

  [ EOLE Build Daemon ]
  * [3939ad8] lseys: Update package since “debian/envole/25.0.9+5-12”

 -- lseys <lseys@cadoles.com>  Mon, 20 Oct 2025 13:33:30 +0200

=== debian/control ===
Source: eole-nextcloud
Section: web
Priority: optional
Maintainer: Equipe Envole <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50), dh-systemd
Standards-Version: 3.8.4
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/nextcloud
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/nextcloud/repository

Package: nextcloud-sso
Architecture: all
Depends: ${misc:Depends}, eole-sso
Description: Filtre SSO pour nextcloud "EOLE".

Package: eole-nextcloud
Architecture: all
Depends: ${misc:Depends}, eole-envole-dependances, nextcloud-sso, jq
Description: Eolisation de l'application nextcloud.

Package: nextcloud-apps
Architecture: all
Depends: ${misc:Depends}, envole-dependances-apps, bsdiff
Description: Sources pour nextcloud "EOLE".

## eole-nextcloud 25.0.9+6-1

=== debian/changelog ===
eole-nextcloud (25.0.9+6-1) envole-9-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [ffdd3c5] passage de la branche master sur la 2.8
  * [c761b5e] suppression des sources 15.0.14
  * [d3f44cc] suppression des sources 16.0.09
  * [f284696] suppression des sources 17.0.5
  * [2e9be3b] suppression des sources 18.0.4
  * [41ec2f3] suppression des sources 19.0.1
  * [25ea95f] ajout source upstream 20.0.14
  * [89ef33c] ajout source upstream 21.0.9
  * [f5c1da6] ajout source upstream 22.2.8
  * [5910024] ajout source upstream 23.0.5
  * [e3d5852] ajout source upstream 24.0.1
  * [3eca1dd] Merge branch 'master' into dist/envole/8/master
  * [0e5b486] modification patch pour 24.0.1
  * [3ceaa32] Merge branch 'master' into dist/envole/8/master
  * [a6eee79] patch pour nextcloud 24.0.1
  * [b3475d3] Merge branch 'master' into dist/envole/8/master
  * [c31401f] patch pour nextcloud 24.0.1
  * [020d005] patch envole 24.0.1
  * [5918c6a] Merge branch 'master' into dist/envole/8/master
  * [235c04a] postservice sans warning
  * [6a73a93] Merge branch 'master' into dist/envole/8/master
  * [6986aaf] prise en compte amonecole sur montage des partages (ref #34357)
  * [e3b367a] Merge branch 'master' into dist/envole/8/master
  * [80757ea] templetiser le displayname de user_ldap
  * [de20fac] Merge branch 'master' into dist/envole/8/master

  [ Benjamin Bohard ]
  * [50bab2a] Dépendance sur l’utilitaire de patch binaire.
  * [849fa14] Montée de version en 25
  * [e401fb9] Compacter les sources dans le paquet et adapter la procédure de mise à jour
  * [796d86d] Modifier la version compatible de l’app user_cas.
  * [defdbea] Merge branch 'master' into dist/envole/8/master
  * [a3553c4] Utilitaire pour compresser et décompresser les sources.
  * [77b68e9] Merge branch 'master' into dist/envole/8/master
  * [c578169] Ne rien faire si les sources sont déjà à jour.
  * [8cf2003] Merge branch 'master' into dist/envole/8/master
  * [1b304a5] Désarchiver la version cible en cas de première installation.
  * [f6e5aa4] Merge branch 'master' into dist/envole/8/master
  * [c074446] Mise a jour des commandes occ et protection du mot de passe.
  * [e47f99d] Merge branch 'master' into dist/envole/8/master
  * [ef4812f] occ upgrade est nécessaire à chaque reconfigure.
  * [b98609e] Merge branch 'master' into dist/envole/8/master
  * [9e7c67c] L’emplacement du partage est lié à la variable container_ip_partage.
  * [9b46423] Merge branch 'master' into dist/envole/8/master
  * [4592e35] Dépendance sur jq pour le nouveau script
  * [98f6480] Sortir la suppression des partages superflus du reconfigure.
  * [519d17d] Merge branch 'master' into dist/envole/8/master
  * [8e9ce42] Différenciation 2.9
  * [a450a27] fix: use php-fpm and php 8.1
  * [6da142c] Merge branch 'master' into dist/envole/9/master
  * [d8251a1] dh-systemd n’est plus un paquet optionnel
  * [edc6560] La directive SetHandler est propre à chaque Directory
  * [9a47b38] Merge branch 'master' into dist/envole/9/master
  * [5d2eb23] Contrainte sur la version de envole-dependances pour php-fpm

  [ afornerot ]
  * [1298bbe] résolution pb CAS sur nextcloud 25
  * [b53a76b] Merge branch 'master' into dist/envole/8/master
  * [4cf24cd] replacer jasig/phpcas de la version 1.5
  * [3fa7807] Merge branch 'master' into dist/envole/8/master
  * [e4a9a01] suppression du filescan
  * [2aea340] Merge branch 'master' into dist/envole/8/master
  * [4582a52] ihm
  * [856fd22] Merge branch 'master' into dist/envole/9/master
  * [75ad854] DNMA
  * [34f113a] Merge branch 'master' into dist/envole/9/master

  [ lseys ]
  * [c741b7a] désactivation des mises-a-jours par l'interface
  * [ef04775] Merge branch 'e8/master'
  * [d0ed806] Merge branch 'master' into dist/envole/9/master

  [ EOLE Build Daemon ]
  * [fd67ff8] Benjamin Bohard: Update package since “debian/envole/19.0.1+4-15”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 15 Oct 2025 09:44:34 +0200

## eole-nextcloud 25.0.9+6-3

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=nextcloud
 VERSION=14.0.3
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=oui
 
 ################################

=== debian/changelog ===
eole-nextcloud (25.0.9+6-3) envole-9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [0c5f9b3] Typo
  * [0ff894b] Merge branch 'e8/master'
  * [697ab3a] Merge branch 'master' into dist/envole/9/master

  [ EOLE Build Daemon ]
  * [fe0730b] Benjamin Bohard: Update package since “debian/envole/25.0.9+6-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 21 Oct 2025 15:23:10 +0200

eole-nextcloud (25.0.9+6-2) envole-9-unstable; urgency=low

  [ afornerot ]
  * [f025875] DNMA

  [ lseys ]
  * [933b0c9] Ajout de la gestion de rétention des fichier dans trashbin et version de nextcloud
  * [58451ba] Merge branch 'e8/master'
  * [f68f9c0] Merge branch 'master' into dist/envole/9/master

  [ EOLE Build Daemon ]
  * [18fb1ab] lseys: Update package since “debian/envole/25.0.9+6-1”

 -- lseys <lseys@cadoles.com>  Mon, 20 Oct 2025 12:29:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Equipe Envole <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 7.0.50), dh-systemd
+Build-Depends: debhelper (>= 7.0.50)
 Standards-Version: 3.8.4
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/nextcloud
@@ -20,5 +20,5 @@
 
 Package: nextcloud-apps
 Architecture: all
-Depends: ${misc:Depends}, envole-dependances-apps, bsdiff
+Depends: ${misc:Depends}, envole-dependances-apps (>= 1.0+6-1), bsdiff
 Description: Sources pour nextcloud "EOLE".

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with systemd

override_dh_systemd_enable:
	dh_systemd_enable --name=nextcloud
